Tcl

- Main Page
- Namespaces
- Files

- File List
- File Members

Classes | Namespaces | Functions
tclexample.tcl File Reference

File documentation. More...

## Classes

class | ns::itcl_class
| Documented itcl class `itcl_class` .
class | ns::oo_class
| Documented oo class `oo_class` .

## Namespaces

namespace | ns
| Documented namespace `ns` .
namespace | ns::itcl_class
namespace | ns::oo_class

## Functions

| glob_proc arg
| Documented global proc `glob_proc` .
| ns::ns_proc arg
| Documented proc `ns_proc` .

## Detailed Description

File documentation.

    # Startup code:\
    exec tclsh "$0" "$@"

## Function Documentation

glob_proc | arg

Documented global proc `glob_proc` .

param[in] arg Argument

    proc glob_proc {arg} {puts $arg}